{ pkgs ? import <nixpkgs> { } }:

pkgs.rustPlatform.buildRustPackage {
  pname = "desktop-utils";
  version = "1.0.0";

  src = builtins.path { path = ./.; name = "desktop-utils"; };

  cargoLock = {
    lockFile = ./Cargo.lock;
  };

  nativeBuildInputs = [
    pkgs.pkg-config
  ];

  buildInputs = [
    pkgs.libxkbcommon
  ];

  #  installPhase = ''
  #  mkdir -p $out/bin
  #  cp clients $out/bin/clients
  #'';

  meta = with pkgs.lib; {
    description = "utils for my desktop";
    homepage = " git.huwe.mooo.com/willifan/desktop-utils";
    license = licenses.gpl3;
    platforms = platforms.unix;
  }; 

}
